{% extends "bandeau.html" %}
{% block main %}
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='eleve.css') }}">
<link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='voir-cours.css') }}">
<title> Voir les Cours </title>
<h1> Voici les Cours du Club </h1>
<body>

    <div id="tableau">

        <table>
            {% if req ==0 %}
            <tr>
                <td> Il n'ya pas de cours pour cette date </td>
            </tr>
            {% else %}
            <thead>
                <tr>
                    <th> Id </th>
                    <th> Moniteur </th>
                    <th> Date </th>
                    <th> Duree (h)</th>
                    <th> Activite </th>
                    <th> Nombre de Personne </th>
                    <th> Prix </th>
                </tr>
            </thead>
            <tbody>
                {% for COURS, RESERVATION, MONITEUR in req %}
                <tr>  
                    <td> {{ COURS.idC }} </td>
                    <td> {{ MONITEUR.nomMo }} {{ MONITEUR.prenomMo }}</td>
                    <td> {{ COURS.date }} </td>
                    <td> {{ COURS.duree }} </td>
                    <td> {{ COURS.activite }} </td>
                    <!-- <td><select name="eleve" id="eleve">
                        {% for elev,_ in eleves[COURS.idC-1] %}
                        <option value="{{elev.idEl}}" > {{elev.nomEl}} {{elev.prenomEl}} </option>
                        {% endfor %}
                    </select></td> -->
                    <td> {{ COURS.nbPers }} </td>
                    <!-- <td><select name="poney" id="poney">
                        {% for po,_ in poneys[COURS.idC-1] %}
                        <option value= "{{ po.idPo }}" > {{po.nomPo}}, {{po.robePo}}, {{po.racePo}}  </option>
                        {% endfor %}
                    </select></td> -->
                    <td> {{ COURS.prixCours }} </td>
                </tr>
                {% endfor %}
                
            </tbody>
            {% endif %}
        </table>
    </div>

    <!-- si c'est le moniteur administrateur -->
    {% if id == 1002 %}    
    <table id="tabbas">
        <tbody>
            <form action="{{url_for('create_cours', id=id)}}" method="post">
                <tr>
                    <!-- vide pour l'id  -->
                    <td> </td>
                    <td><select name="moniteur" id="moniteur" required>
                        {% for mo in moniteurs %}
                        <option value= {{mo.idMo}} > {{mo.nomMo}} {{mo.prenomMo}} </option>
                        {% endfor %}
                    </select></td>
                    <td><input type="date" name="date" required></td>
                    <td><input placeholder="duree" type="number" name="duree" pattern="[0-9]{1,2}" required></td>
                    <td><input placeholder="activite" type="text" name="activite" pattern="[aA-zZ]{3, 25}" required></td>
                    <!-- <td><select name="eleve" id="eleve" required>
                        <option value= "0" > pas d'eleve pour l'instant </option>
                        {% for e in el %}
                        <option value= {{e.idEl}} > {{e.nomEl}} {{e.prenomEl}} </option>
                        {% endfor %}
                    </select></td> -->
                    <!-- <td><select name="poney" id="poney" required>
                        <option value= "0" > pas de poney pour l'instant </option>
                        {% for p in po %}
                        <option value= {{p.idPo}} > {{p.nomPo}}, {{p.robePo}}, {{p.racePo}}  </option>
                        {% endfor %}
                    </select></td> -->
                    <td><input placeholder="prix" type="number" name="prix" pattern="[0-9]{1,4}" required></td>
                    <td><input class="bouton"id="create_cours" type="submit" value="Valider"></td>
                </tr>
            </form>
        </tbody>
    </table>
    {% endif %}
        
</body>
{% endblock %}